(function () {

    'use strict';

    function sendToBackground(id, data) {
        var model = {};

        model.id = id;
        model.data = data;

        browser.runtime.sendMessage(model);
    }
    function initListener(receiveFromBackgroundFunc)
    {
        browser.runtime.onMessage.addListener(receiveFromBackgroundFunc);
    }
    function inIframe() {
        try {
            return window !== window.top;
        } catch (e) {
            return true;
        }
    }

    var manager = new SSO.Manager(sendToBackground, initListener, inIframe);
}());